import { CommandModule } from 'yargs';
import { RunManyOptions } from '../yargs-utils/shared-options';
export interface NxReleaseArgs {
    groups?: string[];
    projects?: string[];
    dryRun?: boolean;
    verbose?: boolean;
}
interface GitCommitAndTagOptions {
    gitCommit?: boolean;
    gitCommitMessage?: string;
    gitCommitArgs?: string;
    gitTag?: boolean;
    gitTagMessage?: string;
    gitTagArgs?: string;
}
export type VersionOptions = NxReleaseArgs & GitCommitAndTagOptions & {
    specifier?: string;
    preid?: string;
};
export type ChangelogOptions = NxReleaseArgs & GitCommitAndTagOptions & {
    version: string;
    to: string;
    from?: string;
    interactive?: string;
    gitRemote?: string;
};
export type PublishOptions = NxReleaseArgs & RunManyOptions & {
    registry?: string;
    tag?: string;
    otp?: number;
};
export declare const yargsReleaseCommand: CommandModule<Record<string, unknown>, NxReleaseArgs>;
export {};
